package com.imdroid.beidou.test_device;

import com.imdroid.beidou.test_device.task.BeidouDevice;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.context.annotation.ComponentScan;


/**
 * @author Layton
 * @date 2023/1/31 20:33
 */
@SpringBootApplication(scanBasePackages = {"com.imdroid"})
@ComponentScan({"com.imdroid.*"})
public class BeidouTestApp {

    public static void main(String[] args) {

        SpringApplication.run(BeidouTestApp.class, args);
        BeidouDevice beidouDevice = new BeidouDevice();
        beidouDevice.connectServer();
        beidouDevice.run();
    }
}
